/* Page */
.user-logged-in .block-views-block-page .view-header .intro-blue{
    background-color: var(--color-gray-400);
}

.block-views-block-page .view-header .intro-blue{
    background-color: var(--color-primary);
    color: white;
}

.block-views-block-page .view-header .intro-blue > div,
.block-views-block-page .view-header .intro-text > div{
    max-width: 76rem;
    margin: 0 auto;
    padding: 1.5rem;
}

.block-views-block-page .view-header .intro-blue > div h1{
    font-size: 1.75rem;
    text-transform: uppercase;
    margin: 0.5 0 1rem;
    font-weight: 300;
}
@media(width > 48rem){
    .block-views-block-page .view-header .intro-blue > div h1{
        margin: 0;
    }   
}


.block-views-block-page .view-header .intro-text > div{
    padding: 1.5rem;
}


.block-views-block-page .view-header .intro-text > div span,
.block-views-block-page .view-header .intro-text > div p{
    color: var(--color-gray); 
}

.block-views-block-page .view-header .intro-text > div p{
    font-size: 1.125rem;
}

.block-views-block-page .view-header .intro-text .intro-text-taxonomies{
    display: flex;
    text-align: center;
    width: 100%;
    margin: 2rem auto 0;
    justify-content: center;
    flex-wrap: wrap;
}
.block-views-block-page .view-header .intro-text .intro-text-taxonomies a{
    font-size: 1.125rem;
    color: var(--color-tertiary);
    flex: 1;
    text-decoration: underline;
}

.block-views-block-page .view-content{
    max-width: 76rem;
    margin: 2rem auto 2rem;
    padding: 1.5rem;
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
    row-gap: 2.25rem;
}
@media(width > 48rem){
    .block-views-block-page .view-content{
        grid-template-columns: repeat(2, 1fr); 
    }
}
@media(width > 76rem){
    .block-views-block-page .view-content{
        grid-template-columns: repeat(3, 1fr); 
    }
}

.block-views-block-page .view-content > div{
    display: flex;
    justify-content: center;
}

.block-views-block-blog-highlighted {
    max-width: 76rem;
    margin: 0 auto;
    padding: 1.5rem;
}

.block-views-block-blog-highlighted .view-header{
    line-height: 1.25;
    margin-bottom: 1.5rem;
}

.block-views-block-blog-highlighted .view-header > h2{
    color: var(--color-primary);
    font-size: 1.375rem;
    font-weight: 500;
    margin-block: 0;
}

.block-views-block-blog-highlighted .view-header > p{
    font-size: 1.25rem;
}

.block-views-block-blog-highlighted .tns-outer{
    position: relative;
}

.block-views-block-blog-highlighted .tns-outer .tns-ovh{
    margin-bottom: 2rem;
}

.block-views-block-blog-highlighted .tns-outer .tns-ovh .tns-inner{
    position: relative;
    left: 5px;
    margin: 0px -20px 20px 0px !important;
}

.block-views-block-blog-highlighted .tns-outer .tns-ovh .tns-inner .tns-item > article{
    margin: 0 auto;
}

.block-views-block-blog-highlighted .tns-outer .tns-controls{
    border-top: 1px solid var(--color-gray-300);
    position: relative;
    padding: 1rem 0;
    display: flex;
    justify-content: space-between;
}

.block-views-block-blog-highlighted .tns-outer .tns-controls > button{
    font-size: 0.875rem;
    padding: 1.25rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    box-shadow: var(--box-shadow);
    margin: 0;
    transition: var(--transition);
    background-color: white;
    border-radius: 10px;
}

.block-views-block-blog-highlighted .tns-outer .tns-controls > button:hover{
    background-color: var(--color-primary);
    color: white;
}

.block-views-block-blog-highlighted .tns-outer .tns-controls > button[data-controls="prev"]::before{
    content: url('data:image/svg+xml,<svg width="11" height="14" viewBox="0 0 11 14" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M9.25 13.0001L1 7.00007L9.25 1.00007" stroke="%2334A8DB" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    display: block;
    height: 16px;
}

.block-views-block-blog-highlighted .tns-outer .tns-controls > button[data-controls="next"]::after{
    content: url('data:image/svg+xml,<svg width="11" height="14" viewBox="0 0 11 14" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M9.25 13.0001L1 7.00007L9.25 1.00007" stroke="%2334A8DB" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
    display: block;
    height: 16px;
    transform: rotate(180deg);
}

.block-views-block-blog-highlighted .tns-outer .tns-controls > button[data-controls="prev"]:hover::before,
.block-views-block-blog-highlighted .tns-outer .tns-controls > button[data-controls="next"]:hover::after{
    filter: brightness(100);
}

/* Dots */
.block-views-block-blog-highlighted .tns-outer .tns-nav > button{
    display: none;
}

@media(width > 48rem){
    .block-views-block-blog-highlighted .tns-outer .tns-nav{
        position: absolute;
        z-index: 1;
        bottom: 20px;
        display: flex;
        align-items: center;
        gap: 0.25rem;
        counter-reset: dots;
        width: fit-content;
        left: 50%;
        margin: 0;
        transform: translateX(-50%);
    }

    .block-views-block-blog-highlighted .tns-outer .tns-nav > button{
        color: var(--color-gray);
        font-size: 0.875rem;
        background-color: initial;
        font-weight: 500;
        padding: 1.25rem 1rem;
        border-radius: 4px;
        display: flex;
        align-items: center;
        justify-content: center;
        width: fit-content;
    }
    
    .block-views-block-blog-highlighted .tns-outer .tns-nav > button::before {
        display: block;
        counter-increment: dots;
        content: counter(dots);
    }
    
   
    .block-views-block-blog-highlighted .tns-outer .tns-nav > button.tns-nav-active{
        color: var(--color-primary);
        background-color: var(--color-primary-100);
    }
}

.block-views-block-blog-highlighted > .more-link{
    text-align: center;
    margin-bottom: 3rem;
}

.block-views-block-blog-highlighted > .more-link > a{
    border: 1px solid var(--color-primary);
    border-radius: var(--border-radius);
    padding: 0.9375rem 1.125rem;
    background-color: var(--color-primary);
    color: white;
    font-size: 0.9375rem;
    width: fit-content;
}

.block-views-block-blog-highlighted > .more-link > a:hover{
    opacity: 0.8;
}
